## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/funding-sources

/{id}

/ach-routing

### cURL

```bash
GET https://api-sandbox.dwolla.com/funding-sources/e6d68efb-c49b-43db-8867-e1ca58c6ee8c/ach-routing
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node

```javascript
var fundingSourceUrl =
  "https://api-sandbox.dwolla.com/funding-sources/e6d68efb-c49b-43db-8867-e1ca58c6ee8c/ach-routing";

dwolla.get(fundingSourceUrl).then((res) => res.body.name); // => "Test checking account"
```

### Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python

```python
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/e6d68efb-c49b-43db-8867-e1ca58c6ee8c/ach-routing'

funding_source = app_token.get(funding_source_url)
funding_source.body['name'] # => 'Test checking account'
```

### Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php

```php
$fundingSourceUrl = 'https://api-sandbox.dwolla.com/funding-sources/e6d68efb-c49b-43db-8867-e1ca58c6ee8c/ach-routing';

$fsApi = new DwollaSwagger\FundingsourcesApi($apiClient);

$fundingSource = $fsApi->id($fundingSourceUrl);
$fundingSource->name; # => "Test checking account"
```

### Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby

```ruby
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/e6d68efb-c49b-43db-8867-e1ca58c6ee8c/ach-routing'

funding_source = app_token.get funding_source_url
funding_source.name # => "Test checking account"
```

### Responses

**200**

```json
{
  "_links": {},
  "accountNumber": "9619991490430833",
  "routingNumber": "084106768"
}
```

**404**

```json
{
  "code": "notFound",
  "message": "Funding source not found."
}
```

### Authorizations

**Authorization**

Type: `string`
- **header**
- **required**

The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

**Accept**
- Type: `enum<string>`
- Default: `application/vnd.dwolla.v1.hal+json`
- **required**

The media type of the response. Must be `application/vnd.dwolla.v1.hal+json`

**Available options:**
`
application/vnd.dwolla.v1.hal+json
`

### Path Parameters

**id**
- Type: `string`
- **required**

ID of VAN funding source to retrieve ACH details

### Response Structure

**200**
-
Type: `application/vnd.dwolla.v1.hal+json`

successful operation

**_links**
- Type: `object`

**accountNumber**
- Type: `string`
- Example: `"9619991490430833"`

**routingNumber**
- Type: `string`
- Example: `"084106768"`
